Create deployment
POST
/api/v1/deployments
const url = 'https://api.deploybase.eu/api/v1/api/v1/deployments';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"branch":"example","commit_hash":"example","commit_message":"example","project_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.deploybase.eu/api/v1/api/v1/deployments \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "branch": "example", "commit_hash": "example", "commit_message": "example", "project_id": "example" }'Creates a new deployment and queues it for building
Authorizations
Section titled “ Authorizations ”Request Body
Section titled “ Request Body ”Deployment details
Media type application/json
object
branch
required
string
commit_hash
string
commit_message
string
project_id
required
string
Example generated
{ "branch": "example", "commit_hash": "example", "commit_message": "example", "project_id": "example"}Responses
Section titled “ Responses ”Created
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
branch
string
build_finished_at
string
build_log
string
build_started_at
string
commit_hash
string
commit_message
string
created_at
string
created_by_email
string
deployed_at
string
file_count
integer
has_custom_404
boolean
has_spa_fallback
boolean
id
string
is_preview
boolean
preview_url
string
project_id
string
redirect_rules
Array<object>
object
force
boolean
from
string
status
integer
to
string
status
string
team_id
string
total_bytes
integer
updated_at
string
url
string
Example
{ "data": { "status": "pending" }}Bad Request
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Unauthorized
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Project not found
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}